IF OBJECT_ID('[FeedRetentionRules_Extended]') IS NOT NULL DROP VIEW [FeedRetentionRules_Extended]
GO

CREATE VIEW [FeedRetentionRules_Extended]
AS

	SELECT FRR.[Feed_Id],
	       F.[Feed_Name],
		   F.[FeedType_Name],
		   FRR.[Sequence_Number],
		   FRR.[DeletePrereleaseVersions_Indicator],
		   FRR.[KeepVersions_Count],
		   FRR.[KeepUsedWithin_Days],
		   FRR.[DeletePackageIds_Csv],
		   FRR.[KeepPackageIds_Csv],
		   FRR.[DeleteCached_Indicator],
		   FRR.[SizeTrigger_KBytes],
		   FRR.[SizeExclusive_Indicator],
		   FRR.[TriggerDownload_Count]
	  FROM [FeedRetentionRules] FRR
	       INNER JOIN [Feeds] F
		           ON F.[Feed_Id] = FRR.[Feed_Id]

GO